Connect with Mac OS X

Before You Get Started

To connect your Mac to Wireless PittNet, you need:

  • Mac OS X v10.8 or higher
  • Built-in Wi-Fi or Wi-Fi Adapter
  • Valid University Computing Account

Detailed Instructions

Tags: Wireless Help Mac